%define upstream_name	 Test-use-ok
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A visitor for Perl data structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildArch:  noarch

Provides:   perl(ok)

%description
This module is a simple visitor implementation for Perl values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Test/*
%{perl_vendorlib}/ok.pm
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-7.mga6
+ Revision: 1034697
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 942931
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 741873
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 686588
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 515492
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 373948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 295135
- update to 0.11

* Thu Jan 20 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 27136
- mageia rebuild
- imported package perl-Test-use-ok

